//---------------------------------------------------------------------------

#include <vcl.h>
#include <stdio.h>
#pragma hdrstop

#include "UMainForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TMainForm *MainForm;
//---------------------------------------------------------------------------
__fastcall TMainForm::TMainForm(TComponent* Owner)
    : TForm(Owner)
{
}

void SaveHeader(Graphics::TBitmap *bmp, AnsiString FileName)
{
    FILE *f;
    AnsiString FileNameWithoutExt;
    int width,height,page;
    int data;
    int i,j,k;
    TColor color;

    FileNameWithoutExt=ExtractFileName(FileName);
    width =bmp->Width ;
    height=bmp->Height;
    page=(height+7)/8;
    f=fopen(FileName.c_str(),"wt");
    try { // To protect f
        fprintf(f,"// %s\n\n",FileNameWithoutExt);
        fprintf(f,"#ifndef %s\n",ChangeFileExt(FileNameWithoutExt,"_h"));
        fprintf(f,"#define %s\n\n",ChangeFileExt(FileNameWithoutExt,"_h"));
        fprintf(f,"PROGMEM unsigned char BMP_%s[] = {\n",ChangeFileExt(FileNameWithoutExt,""));
        fprintf(f,"\t%d, // width\n\t%d, // height\n",width,height);
        for(i=0; i<page; i++) {
            fprintf(f,"\t");
            for(j=0; j<width; j++) {
                data=0;
                for(k=0; k<8; k++) {
                    if(i*8+k<height) {
                        color=bmp->Canvas->Pixels[j][i*8+k];
                        if((color&0xff)+((color>>8)&0xff)+((color>>16)&0xff)<0x80*3) {
                            data+=1<<k;
                        } // if
                    } // if
                } // for k
                fprintf(f,"0x%02x",data);
                if(i<page-1 || j<width-1) {
                    fprintf(f,",");
                } else {
                    fprintf(f," ");
                } // if
                if(j<width-1 && j%16==15) fprintf(f,"\n\t");
                if(j==width-1) fprintf(f," // page%d\n",i);
            } // for j
        } // for i
        fprintf(f,"};\n");
        fprintf(f,"#endif\n");
    } __finally {
        fclose(f);
    }
} // SaveHeader
//---------------------------------------------------------------------------
void __fastcall TMainForm::LoadBtnClick(TObject *Sender)
{
    if(!OpenDlg->Execute()) return;
    try {
        MainImg->Picture->Bitmap->LoadFromFile(OpenDlg->FileName);
        SaveBtn->Enabled=true;
        if(MainImg->Picture->Bitmap->Width==0 || MainImg->Picture->Bitmap->Height==0) throw "0 size";
    } catch(...) {
        MainImg->Picture->Bitmap->Width =0;
        MainImg->Picture->Bitmap->Height=0;
        Application->MessageBox("Couldn't load a BMP file.",Caption.c_str(),MB_OK|MB_ICONHAND);
        SaveBtn->Enabled=false;
    } // try
}
//---------------------------------------------------------------------------

void __fastcall TMainForm::SaveBtnClick(TObject *Sender)
{
    try {
        SaveHeader(MainImg->Picture->Bitmap, ChangeFileExt(OpenDlg->FileName, ".h"));
        Application->MessageBox("Created a header file.",Caption.c_str(),MB_OK|MB_ICONINFORMATION);
    } catch(...) {
        Application->MessageBox("Failed to created a header file.",Caption.c_str(),MB_OK|MB_ICONHAND);
    } // try;
}
//---------------------------------------------------------------------------

